From 147c7eea2c97aaad87134f82235253e8a47b8f30 Mon Sep 17 00:00:00 2001
From: Nils Philippsen <nils@redhat.com>
Date: Dec 11 2017 13:42:09 +0000
Subject: [PATCH 13/51] use click.Choice for validating --min-level


---

diff --git a/src/_fedmod/cli.py b/src/_fedmod/cli.py
index 885b2ad..0f93574 100644
--- a/src/_fedmod/cli.py
+++ b/src/_fedmod/cli.py
@@ -135,13 +135,11 @@ def rpms_from_srpm(pkg):
 # Check a modulemd YAML file for validity.
 @_cli_commands.command('lint')
 @click.option("--min-level", metavar="MINLEVEL", default='info',
+              type=click.Choice(mmdl.LintLevel.all_levels),
               help="The minimum level of checks to be performed ({}).".format(
               ", ".join(mmdl.LintLevel.all_levels)))
 @click.argument("modulemd")
 def lint(modulemd, min_level):
     """Validates a given modulemd YAML file"""
-    if min_level not in mmdl.LintLevel.all_levels:
-        raise ValueError("The minimum level must be one of: {}".format(
-            ", ".join(mmdl.LintLevel.all_levels)))
     linter = mmdl.ModuleMDLinter(modulemd_path=modulemd)
     linter.lint(min_level=min_level)

